FTP Service 7.5 for IIS 7.0 can be installed only on Windows Server 2008


On Windows 2008 RTM (SP1) you would install the FTP 7.5 Out Of Band module from http://www.iis.net/extensions/ftp. But when you try to install it on Windows 2008 R2 you will get the following error.

This version of the operating system is not supported. FTP Service 7.5 for IIS 7.0 can be installed only on Windows Server 2008.

image

Windows 2008 RTM (SP1) shipped with the legacy FTP service from IIS 6.0.

image

Latter FTP 7.0 and 7.5 where shipped as Out Of Band Modules.

Windows 2008 R2 already ships with FTP 7.5 and the legacy FTP service has been discontinued.

image

So you no longer have to install an Out Of Band module for FTP 7.5 on Windows 2008 R2. You can directly install it from the Server Manager > Role Services.

Bookmark and Share
Comments (3)

  1. Angie says:

    THANK YOU for putting it plain english! I am running into this and it's been giving me SUCH a headache. Thank you for confirming this for me!! I don't know why the other sites can't just say it

  2. David says:

    Thank You!  this is the solution I was looking for to set up FTP on windows Storage Server 2008 R2 Essentials.

  3. Vasant Sakpal says:

    Thanks for this information. It cleared my doubt.